package model

import "go.mongodb.org/mongo-driver/mongo/options"

type FindWithCondition struct {
	Conditions interface{}            `json:"conditions"`
	Opts       []*options.FindOptions `json:"opts"`
}

type FindOneCondition struct {
	Conditions interface{} `json:"conditions"`
}

type DistinctWithField struct {
	Conditions interface{} `json:"conditions"`
	Filed      string      `json:"filed"`
}

type ActionBy struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}

// RequestCondition ...
type RequestCondition struct {
	Code         int   `json:"code"`
	Codes        []int `json:"codes"`
	DistrictCode int   `json:"districtCode"`
	ProvinceCode int   `json:"provinceCode"`

	Slug    string `json:"slug"`
	OldSlug string `json:"oldSlug"`

	Slugs    []string `json:"slugs"`
	OldSlugs []string `json:"oldSlugs"`

	DistrictSlug string `json:"districtSlug"`
	ProvinceSlug string `json:"provinceSlug"`

	Keyword string `json:"keyword"`
	Region  string `json:"region"`

	Page  int64 `json:"page"`
	Limit int64 `json:"limit"`
}
