package subject

import "fmt"

func getLocationValue(val string) string {
	return fmt.Sprintf("%s.%s", prefixes.Location, val)
}

var Location = struct {
	GetLocationByCode                      string
	GetLocationByCodeFromLocationService   string
	GetLocationByWardCode                  string
	GetProvincesByCodes                    string
	GetProvincesByCodesFromLocationService string
	GetDistrictsByCodes                    string
	GetDistrictsByCodesFromLocationService string
	GetWardsByCodes                        string
	GetWardsByCodesFromLocationService     string
	GetProvinceByCondition                 string
	GetProvincesByCondition                string
	GetDistrictByCondition                 string
	GetDistrictsByCondition                string
	GetWardByCondition                     string
	GetWardsByCondition                    string
	CountProvinceByCondition               string
	CountDistrictByCondition               string
	CountWardByCondition                   string
	ProvinceDistinctWithField              string
}{
	GetLocationByCode:                      getLocationValue("get_location_warehouse"),
	GetLocationByCodeFromLocationService:   getLocationValue("get_location_warehouse_from_location_service"),
	GetLocationByWardCode:                  getLocationValue("get_location_by_ward_code"),
	GetProvincesByCodes:                    getLocationValue("get_provinces_by_codes"),
	GetProvincesByCodesFromLocationService: getLocationValue("get_provinces_by_codes_from_location_service"),
	GetDistrictsByCodes:                    getLocationValue("get_districts_by_codes"),
	GetDistrictsByCodesFromLocationService: getLocationValue("get_districts_by_codes_from_location_service"),
	GetWardsByCodes:                        getLocationValue("get_wards_by_codes"),
	GetWardsByCodesFromLocationService:     getLocationValue("get_wards_by_codes_from_location_service"),
	GetProvinceByCondition:                 getLocationValue("get_province_by_condition"),
	GetProvincesByCondition:                getLocationValue("get_provinces_by_condition"),
	GetDistrictByCondition:                 getLocationValue("get_district_by_condition"),
	GetDistrictsByCondition:                getLocationValue("get_districts_byCondition"),
	GetWardByCondition:                     getLocationValue("get_ward_by_condition"),
	GetWardsByCondition:                    getLocationValue("get_wards_by_condition"),
	CountProvinceByCondition:               getLocationValue("count_province_by_condition"),
	CountDistrictByCondition:               getLocationValue("count_district_by_condition"),
	CountWardByCondition:                   getLocationValue("count_ward_by_condition"),
	ProvinceDistinctWithField:              getLocationValue("province_distinct_with_field"),
}
